Skip to main content
GET
Retrieve Orders that belong to the current Company

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

search[datagrid]
string

Search string for datagrid queries

filter[states]
array

States based on the resource (e.g. Order states or Job states)

filter[start_date]
string

Start date range

filter[end_date]
string

End date range

ids
array

Order IDs

filter[requester_ids]
array

The associated Requester IDs

filter[foreman_ids]
array

The associated Foreman IDs

filter[collaborator_ids]
array

The associated Collaborator IDs

filter[salesperson_ids]
array

The associated Salesperson IDs

filter[department_ids]
array

The associated Department IDs. Use 'none' to filter for records without a Department.

Response

OK

data
Order-Read · object[]
required